Subject: Re: [PATCH] powerpc: remove CHRP and PMAC support from defconfigs, fix Kconfigs

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 09 Oct 2008 06:19:56 +1100

On Wed, 2008-10-08 at 10:28 -0500, Timur Tabi wrote:
> On Fri, Sep 26, 2008 at 12:19 PM, Timur Tabi <[email-masked]> wrote:
> > The Kconfig files for PowerPC CHRP and PMAC support had "default=y" for some
> > Kconfig options, and this caused support for CHRP and PMAC platforms to be
> > enabled incorrectly for several platforms.  Fix the Kconfigs and the
> > affected defconfigs.
> 
> Ben,
> 
> When you applied this patch, you removed the Kconfig changes.  Without
> those, doing a "make xxx_defconfig" will just add "CONFIG_PPC_PMAC=y"
> and "CONFIG_PPC_CHRP=y" to the .config!

Hrm. Yes, I removed those changes because I want to think more about
that aspect of things.

> $ make 83xx/mpc834x_itxgp_defconfig
>   HOSTCC  scripts/basic/fixdep
>   HOSTCC  scripts/basic/docproc
>   HOSTCC  scripts/kconfig/conf.o
>   HOSTCC  scripts/kconfig/kxgettext.o
>   SHIPPED scripts/kconfig/zconf.tab.c
>   SHIPPED scripts/kconfig/lex.zconf.c
>   SHIPPED scripts/kconfig/zconf.hash.c
>   HOSTCC  scripts/kconfig/zconf.tab.o
>   HOSTLD  scripts/kconfig/conf
> #
> # configuration written to .config
> #
> $ grep CHRP .config
> CONFIG_PPC_CHRP=y
> 
> So please apply my *original* patch.

yeah well, there's a consistency problem. If we remove default for these
we should remove default for all.

The bug I think is in your original patch in fact to just remove those
from .config rather than explicitely set them to "not set".

I'm not going to remove the applied patch to avoid rebasing, it's
harmless to keep it in, please send another one that does the above.

Ben.